Żewġ gateways konfigurati bl-istess ċavetta maqsuma minn qabel itemmu handshake, u rekord tal-pakketti ma jurix sigriet li qed jaqsam il-wire. Dak huwa l-parti li n-nies jiftakru. Il-parti interessanti hi x'jikkalkula verament kull verżjoni biex jipprova li s-sigriet hu magħruf, għax IKEv1 u IKEv2 jibnu dik il-prova minn inputs differenti u jikxfu informazzjoni differenti waqt li jagħmlu dan. Aqra ż-żewġ traċċi flimkien u d-differenza tieqaf tkun kożmetika.

X'irid jikseb il-prova

Diffie-Hellman jagħti liż-żewġ naħat valur komuni li n-nofsijiet pubbliċi tiegħu jistgħu jikkalkulawhom ukoll kulmin qed josserva. Waħdu dan ma jipprovax xejn dwar l-identità: attakkant li jtemm skambju ta' ċwievet għandu l-istess valur komuni tal-gateway tiegħek. Il-pass tal-awtentikazzjoni jeżisti biex jorbot dak l-iskambju ma' sigriet li għandhom biss il-partijiet maħsuba, u mal-identitajiet u l-parametri li qablu fuqhom.

Dik ir-rabta hi r-raġuni għaliex il-hash ikopri aktar miċ-ċavetta. Li kieku kien ikopri biss is-sigriet, attakkant seta' jerġa' jilagħha fi skambju differenti b'identitajiet jew proposti differenti.

IKEv1 Main Mode: ġib SKEYID, imbagħad ipprovah

Main Mode jmexxi sitt messaġġi. L-ewwel par jinnegozja l-assoċjazzjoni tas-sigurtà, it-tieni jiskambja valuri pubbliċi Diffie-Hellman u nonces, u t-tielet iġorr identitajiet flimkien ma' hashes ta' awtentikazzjoni taħt encryption li għadha kif ġiet stabbilita. RFC 2409 jiddefinixxi l-kostruzzjoni: b'awtentikazzjoni b'ċavetta maqsuma minn qabel, SKEYID hu derivat mis-sigriet u miż-żewġ nonces, u l-materjal taċ-ċavetta aktar tard hu derivat minn SKEYID, mill-valur komuni Diffie-Hellman, mill-cookies u mill-kostanti.

Il-hash fil-ħames u s-sitt messaġġ hu kkalkulat fuq il-valur Diffie-Hellman, iż-żewġ cookies, il-proposta u l-identità tal-mittent, b'SKEYID bħala ċavetta. Ir-riċevitur jerġa' jikkalkulah bis-sigriet konfigurat tiegħu. Nuqqas ta' qbil itemm l-iskambju, u s-sigriet innifsu qatt mhu payload.

Aggressive Mode tikkompressa l-istess xogħol fi tliet messaġġi, li jfisser li l-identitajiet u l-hash ta' awtentikazzjoni jivvjaġġaw qabel ma jeżisti kanal encrypted. Din hi espożizzjoni reali għal sigriet li jista' jiġi mifni, u hi separata mill-mistoqsija jekk is-sigriet intbagħatx. IKEv1 hu deprekat minn RFC 9395, allura traċċa antika hija eżerċizzju dijanjostiku, mhux mira ta' implimentazzjoni.

IKEv2: derivazzjoni differenti u payload AUTH differenti

IKEv2 ma jerġax juża l-iskeda taċ-ċwievet ta' IKEv1. Iċ-ċwievet IKE inizjali jiġu minn żerriegħa mibnija min-nonces u mill-valur komuni Diffie-Hellman, u l-assoċjazzjonijiet tas-sigurtà tat-tfal jiġu derivati minnha. Iċ-ċavetta maqsuma minn qabel ma tmantni xejn liż-żerriegħa.

L-awtentikazzjoni mbagħad tidher bħala payload AUTH. Għall-awtentikazzjoni b'ċavetta maqsuma, RFC 7296 tispeċifika forma padded tas-sigriet, li tinkiseb billi l-hash tas-sigriet bl-string fiss Key Pad for IKEv2, u mbagħad il-hash tad-data tal-iskambju ffirmata u tal-identità b'dik iċ-ċavetta padded. Il-verifikatur jista' jerġa' jibni l-istess valur; osservatur ma jistax, mingħajr is-sigriet.

Innota x'inbidel. F'IKEv1 is-sigriet hu moħmi fl-iskeda taċ-ċwievet qabel ma jeżisti l-hash ta' awtentikazzjoni; f'IKEv2 l-iskeda taċ-ċwievet hija indipendenti mis-sigriet u l-prova hija payload distint marbut mal-ottetti ffirmati. L-istess garanzija kunċettwali, makkinarju differenti, u għalhekk l-ismijiet tal-parametri u r-rekords ma jimmappjawx wieħed għal wieħed.

X'jitgħallem verament osservatur

Valuri pubbliċi Diffie-Hellman, proposti, nonces u cookies jidhru fiż-żewġ verżjonijiet. L-identitajiet jidhru f'IKEv1 Aggressive Mode u huma protetti fil-każijiet l-oħra. Is-sigriet qatt ma jidher.

Dik l-aħħar sentenza għandha limitu li jistħoqqlu jingħad. Sigriet dgħajjef magħżul mill-bniedem jista' jiġi attakkat billi jiġi mifni: l-attakkant jikkalkula x'ikun il-valur tal-awtentikazzjoni għal sigriet kandidat u jqabbel. IKEv1 Aggressive Mode tagħmel dan l-orħos għax l-evidenza hija fil-beraħ, u l-istandards iwissu b'mod ġenerali dwar sigrieti b'entropija baxxa. Li qatt ma tibgħat is-sigriet mhuwiex l-istess bħal li tagħmel sigriet ħażin sigur.

X'jista' jsir bil-paragun

Uża sigriet wieħed uniku għal kull par ta' sħab, iġġenerah minn sors każwali, u dawwru mill-istess triq tal-provvista li qassmu. Jekk is-sigriet jinżamm fi template ta' konfigurazzjoni li tintbagħat lil kull fergħa, kompromess f'post wieħed hu kompromess kullimkien.

Ippreferi awtentikazzjoni bbażata fuq iċ-ċertifikati fejn l-ispiża operattiva hija aċċettabbli, għax tneħħi l-problema tal-mnfija tas-sigriet maqsum u tagħti lil kull sieħeb identità distinta. Fejn ċavetta maqsuma minn qabel tibqa', żommha twila, żommha b'ambitu dejjaq, u qis il-verżjoni tal-IKE bħala deċiżjoni tas-sigurtà, mhux dettall ta' interoperabilità.

Artikli relatati